## com.imcode.imcms.flow
Class OkCancelPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  DocumentPermissionSetPage, DocumentPermissionsPage, ImageEditPage, LinkEditPage, ListDocumentAliasPage, MenuEditPage, SearchDocumentsPage, UserEditorPage

    public abstract class OkCancelPage

extends Page

See Also:
  Serialized Form

Field Summary
`protected DispatchCommand` `cancelCommand`
`protected DispatchCommand` `okCommand`
`static java.lang.String` `REQUEST_PARAMETER__CANCEL`
`static java.lang.String` `REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`protected` `OkCancelPage(DispatchCommand okDispatchCommand, DispatchCommand cancelDispatchCommand)`

Method Summary
`void` `dispatch(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchCancel(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchNotCanceled(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`
`protected boolean` `wasCanceled(javax.servlet.http.HttpServletRequest request)`
`protected boolean` `wasOk(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getPath, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__OK

    public static final java.lang.String REQUEST_PARAMETER__OK

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL

    public static final java.lang.String REQUEST_PARAMETER__CANCEL

See Also:
  Constant Field Values

### okCommand

    protected DispatchCommand okCommand

### cancelCommand

    protected DispatchCommand cancelCommand

Constructor Detail

### OkCancelPage

    protected OkCancelPage(DispatchCommand okDispatchCommand,
                           DispatchCommand cancelDispatchCommand)

Method Detail

### dispatch

    public void dispatch(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `dispatch` in class `Page`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchNotCanceled

    protected void dispatchNotCanceled(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)
                                throws java.io.IOException,
                                       javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOk

    protected void dispatchOk(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchCancel

    protected void dispatchCancel(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### wasOk

    protected boolean wasOk(javax.servlet.http.HttpServletRequest request)

### wasCanceled

    protected boolean wasCanceled(javax.servlet.http.HttpServletRequest request)

### updateFromRequest

    protected abstract void updateFromRequest(javax.servlet.http.HttpServletRequest request)